Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class NotEntitledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.NotEntitledException

All Implemented Interfaces
  Serializable

    public class NotEntitledException

extends NetuixException

This exception is thrown when the caller does not have the necessary permissions to take the specified action. An example would be attempting to create a portal desktop or delete a `Book`.

See Also
  Serialized Form

Constructor Summary
`NotEntitledException()` Constructs a `NotEntitledException` with no specified detail message.
`NotEntitledException(String s)` Constructs a `NotEntitledException` with the specified detail message.
`NotEntitledException(String s, Throwable cause)` Constructs a `NotEntitledException` with the specified detail message and causal exception.
`NotEntitledException(Throwable cause)` Constructs a `NotEntitledException` with the specified causal exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotEntitledException

    public NotEntitledException()

  Constructs a `NotEntitledException` with no specified detail message.

### NotEntitledException

    public NotEntitledException(String s)

  Constructs a `NotEntitledException` with the specified detail message.

  Parameters
    `s` - The detail message

### NotEntitledException

    public NotEntitledException(String s,
                                Throwable cause)

  Constructs a `NotEntitledException` with the specified detail message and causal exception.

  Parameters
    `s` - The detail message
    `cause` - The exception that caused this exception to be thrown

### NotEntitledException

    public NotEntitledException(Throwable cause)

  Constructs a `NotEntitledException` with the specified causal exception.

  Parameters
    `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.